Bug 487726 - CUPS crashes when lpr a UTF-16LE file
CUPS crashes when lpr a UTF-16LE file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 12:14 EST by H. Peter Anvin
Modified: 2014-10-03 14:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cupsd.conf (21.89 KB, application/octet-stream)
2009-03-10 20:51 EDT, H. Peter Anvin
no flags Details
printers.conf (1.24 KB, application/octet-stream)
2009-03-10 20:52 EDT, H. Peter Anvin
no flags Details
PPD file (12.64 KB, application/octet-stream)
2009-03-10 20:52 EDT, H. Peter Anvin
no flags Details

  None (edit)
Description H. Peter Anvin 2009-02-27 12:14:34 EST
Description of problem:

Trying to print a Windows-style UTF-16LE file crashes CUPS; in my case I was printing to a PostScript network (Jetdirect) printer.

Version-Release number of selected component (if applicable):

cups-1.3.9-6.fc10.x86_64


How reproducible:

100%

Steps to Reproduce:

  printf '\xef\xbb\xbfHello, World!' | iconv -f UTF-8 -t UTF-16LE | lpr

Actual results:

lpr prints "lpr: Uknown", and the server crashes.

Expected results:

Either an error message, or conversion to a sane format.

Additional info:
Comment 1 Tim Waugh 2009-02-27 13:42:35 EST
I get:

lpr: Unsupported format 'application/octet-stream'!

Please attach /etc/cups/cupsd.conf, /etc/cups/printers.conf, and the PPD for your default printer from /etc/cups/ppd/.  Thanks.
Comment 2 H. Peter Anvin 2009-03-10 20:51:38 EDT
Created attachment 334736 [details]
cupsd.conf
Comment 3 H. Peter Anvin 2009-03-10 20:52:03 EDT
Created attachment 334737 [details]
printers.conf
Comment 4 H. Peter Anvin 2009-03-10 20:52:21 EDT
Created attachment 334739 [details]
PPD file
Comment 5 Tim Waugh 2009-03-11 12:33:52 EDT
I haven't been able to reproduce this here.  Could you please adjust the 'LogLevel' line in /etc/cups/cupsd.conf to read:

LogLevel debug2

and then run 'service cups restartlog' as root?  Then run 'strace -tfp ...' to attach to the cupsd process and capture the syscalls.

Print the UTF-16LE file and when cupsd fails again, please attach the strace log as well as /var/log/cups/error_log.
Comment 6 Bug Zapper 2009-11-18 06:15:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 03:55:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 H. Peter Anvin 2014-10-03 14:50:47 EDT
This bug is long since obsolete.

Note You need to log in before you can comment on or make changes to this bug.